#
# spec file for package libshout
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libshout
BuildRequires:  libtheora-devel
BuildRequires:  libtool
BuildRequires:  libvorbis-devel
BuildRequires:  pkgconfig
BuildRequires:  speex-devel
Summary:        Library for Communication with icecast Server
License:        LGPL-2.1+
Group:          System/Libraries
Version:        2.3.1
Release:        6.3
Url:            http://downloads.xiph.org/releases/libshout/
Source:         %{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         libshout-2.2.2-pkgconfig-bloat.patch

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.



Authors:
--------
    Xiph.org Foundation <team@icecast.org>

%package -n libshout3
Summary:        Library for Communication with icecast Server
Group:          System/Libraries
Provides:       %{name} = %{version}
#Opensuse 10.3
Obsoletes:      %{name} < %{version}

%description -n libshout3
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.



Authors:
--------
    Xiph.org Foundation <team@icecast.org>

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libshout3 = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Xiph.org Foundation <team@icecast.org>

%prep
%setup -q
%patch0

%build
autoreconf --force --install
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%{__make} install DESTDIR=%{buildroot}
# remove unneeded files
%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -rf %{buildroot}%{_datadir}/doc/%{name}

%post -n libshout3 -p /sbin/ldconfig

%postun -n libshout3 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libshout3 
%defattr(-,root,root)
%{_libdir}/*.so.3*

%files devel
%defattr(-,root,root)
%doc README COPYING
%doc doc/*.xml
%doc doc/*.xsl
%doc examples/*.c
%{_libdir}/*.so
%{_includedir}/shout
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Jan 22 2013 jw@suse.com
- update to 2.3.1
  * removed upstreamed libshout-2.2.2-missing-lib.patch
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Removed self-obsoletes (fix for RPMLINT warning)
* Wed Dec 26 2007 crrodriguez@suse.de
- previous change introduced a undefined reference to `speex_packet_to_header'
  library wants to use speex but does not link to it correctly
  (libshout-2.2.2-missing-lib.patch)
* Sun Dec 16 2007 crrodriguez@suse.de
- support speex
- fix library packaging policy change
- cleanup unneeded dependencies and pkgconfig script
* Mon Apr 16 2007 tiwai@suse.de
- follow library packaging policy
  * move docs to devel package
  * remove static library
- added missing ldconfig to post and postun.
* Thu Oct 12 2006 tiwai@suse.de
- updated to version 2.2.2:
  * Handle Oggs that don't begin with zero granulepos
  * Theora memory leak fix
  * Non-blocking shout_open was failing unnecessarily in the
    connect_pending state.
  * Cast some size_ts to ints for display purposes.
  * Fix error handling while opening a connection, so that shout_open
    can be retried.
  * pkgconfig fix for header installation
  * Fix a memory leak in HTTP authentication
* Thu Apr 27 2006 mrueckert@suse.de
- added libtheora-devel libvorbis-devel to the requires of the
  devel package.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 tiwai@suse.de
- updated to version 2.2.
* Tue Jun 14 2005 tiwai@suse.de
- initial version: 2.1
